<?php

namespace Drupal\sessionless;

/**
 * Sessionless encryption service.
 *
 * @internal
 *
 * https://connect2id.com/products/nimbus-jose-jwt/examples/signed-and-encrypted-jwt
 */
interface SessionlessInterface {

  public function encode(mixed $data): string;

  public function decode(string $token): mixed;

}
