<?php

declare(strict_types=1);
namespace Drupal\Tests\sessionless\Traits;

use Drupal\sessionless\KeyStorage\KeyStorageInterface;
use Drupal\sessionless\SessionlessInterface;

final class SessionlessServices {

  public function __construct(
    public readonly SessionlessInterface $webTokenService,
    public readonly KeyStorageInterface $keyStorage,
  ) {}

}
